> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Functions Route

> List the names of execution functions the salt master knows about.

Requires authentication (any logged-in user). Cached for 1 hour to
avoid hammering salt-api on every page render.



## OpenAPI

````yaml /api/openapi.json get /api/salt/functions
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/salt/functions:
    get:
      tags:
        - salt-docs
      summary: List Functions Route
      description: |-
        List the names of execution functions the salt master knows about.

        Requires authentication (any logged-in user). Cached for 1 hour to
        avoid hammering salt-api on every page render.
      operationId: list_functions_route_api_salt_functions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaltFunctionsOut'
components:
  schemas:
    SaltFunctionsOut:
      properties:
        functions:
          items:
            type: string
          type: array
          title: Functions
        cached_at:
          type: string
          format: date-time
          title: Cached At
      type: object
      required:
        - functions
        - cached_at
      title: SaltFunctionsOut

````